Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001804OCamlOCaml generalpublic2003-08-28 03:142012-05-24 18:19
Reporteradministrator 
Assigned Toxleroy 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.00.0+dev 
Summary0001804: "make install" should install interface files for toploop-manipulation modules
DescriptionFull_Name: Aleksey Nogin
Version: 3.06, 3.07beta2
OS: Red Hat Linux
Submission from: mojave1.cs.caltech.edu (131.215.44.186)


In order to create a custom Ocaml toploop and to be able to manipulate it
successfuly, one needs access to a bunch of interface files that are not
normally copied into LIBDIR by ocaml's "make install". For example, to be able
to compile code that uses Toplevel.execute_phrase, one needs access to
parsetree.cmi...

Currently (see http://cvs.metaprl.org:12000/cvsweb/metaprl/editor/ml/shell_p4.ml?rev=HEAD&content-type=text/x-cvsweb-markup [^]
for the code of the file that manipulates the toploop) we end up having to
manually copy the files:

parsing/location.cmi parsing/location.mli parsing/longident.cmi
parsing/longident.mli parsing/parsetree.cmi parsing/parsetree.mli
typing/typecore.cmi typing/typecore.mli

to LIBDIR. Would you please consider modifying the "install" target in the
Makefile to copy these files (and may be other interface files needed to take
full advantage of Toploop module - such as env.{mli,cmi}, for example) somewhere
under LIBDIR?

Thanks a lot!

TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001900resolved Re: "make install" should install interface files for toploop-manipulation modules (PR#1804) 

-  Notes
(0007452)
xleroy (administrator)
2012-05-24 18:19

Upcoming release 4.00 installs a big chunk of compiler internal files in `ocamlc -where `/compiler-libs. You should find everything you need there.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2009-08-24 13:54 xclerc Relationship added has duplicate 0001900
2012-05-24 18:19 xleroy Note Added: 0007452
2012-05-24 18:19 xleroy Status acknowledged => resolved
2012-05-24 18:19 xleroy Fixed in Version => 4.00.0+dev
2012-05-24 18:19 xleroy Resolution open => fixed
2012-05-24 18:19 xleroy Assigned To => xleroy


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker